JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ImageButton::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » buttons

This abstract base class is implemented by LookAndFeel classes. More...

`#include <juce_ImageButton.h>`

Inheritance diagram for ImageButton::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual void | drawImageButton (Graphics &, Image *, int imageX, int imageY, int imageW, int imageH, const Colour &overlayColour, float imageOpacity, ImageButton &)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual ImageButton::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ drawImageButton()

virtual void ImageButton::LookAndFeelMethods::drawImageButton | ( | Graphics & | ,
|  | Image * | ,
|  | int | imageX,
|  | int | imageY,
|  | int | imageW,
|  | int | imageH,
|  | const Colour & | overlayColour,
|  | float | imageOpacity,
|  | ImageButton & | )
| pure virtual

Implemented in LookAndFeel_V2.

The documentation for this struct was generated from the following file:

- juce_ImageButton.h